import Emitter from 'tiny-emitter';

export default class bsAdmin extends Emitter {

  constructor() {
    super();
    this.init();
  }

  init() {
    let collapsibleMenu = document.querySelector('nav.collapsible-menu');
    let collapsibleItems = collapsibleMenu.querySelectorAll('ul li a.collapsible-item');
    var arrow = collapsibleMenu.querySelectorAll('i.arrow');
    arrow.forEach(element => {
      element.innerHTML = '<i class="arrow">&#8675;</i>';
    });
    collapsibleItems.forEach(element => {
      element.addEventListener('click', event => {
        event.preventDefault();
        let subMenu = event.target.nextElementSibling;
        this.slideToggle(subMenu);
      });
    });
  }

  slideToggle(element) {
    var arrow = element.previousElementSibling.querySelector('i.arrow');
    if (element.classList.contains('opened')) {
      element.classList.remove('opened');
      arrow.innerHTML = '<i class="arrow">&#8675;</i>';
      this.emit('close');
    } else {
      document.querySelectorAll('nav.collapsible-menu ul > li ul.active').forEach(function(el) {
        el.classList.remove('active');
      });
      element.classList.add('opened', 'active');
      arrow.innerHTML = '<i class="arrow">&#8673;</i>';
      this.emit('open');
      document.querySelectorAll('nav.collapsible-menu ul > li ul.opened:not(.active)').forEach(function(el) {
        el.classList.remove('opened');
      });
    }
  }
}